package com.hxhq.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 给药制剂-发放记录对象 t_gyzj_ffjl
 *
 * @author hxhq
 * @date 2025-12-21
 */
@TableName("t_gyzj_ffjl")
public class GyzjFfjl extends MpBaseEntity
{

    private static final long serialVersionUID = 1L;

    /** 记录状态 1:未锁定 3:已锁定 5:待归档 7:归档 9:待解档 */
    private Integer jlzt;

    /** 借阅状态 1:未借阅 3:待借阅 5:借阅中 */
    private Integer jyzt;

    /** 档案状态：1：未归档；3：已归档*/
    private Integer dazt;

    /** 给药制剂id */
    private Long gyzjId;

    /** 名称 */
    private String mc;

    /** 编号 */
    private String bh;

    /** 浓度 */
    private String nd;

    /** 浓度单位 */
    private String nddw;

    /** 存储条件 */
    private String cctj;

    /** 存储位置 */
    private String ccwz;

    /** 失效日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sxrq;

    /** 出库量 */
    private String ckl;

    /** 出库量单位 */
    private String ckldw;

    /** 出库毛重 */
    private String ckmz;

    /** 出库毛重单位 */
    private String ckmzdw;

    /** 发放转移条件 */
    private String ffzytj;

    /** 领取人1id */
    private Long lqr1Id;

    /** 领取人2id */
    private Long lqr2Id;

    /** 发放人1id */
    private Long ffr1Id;

    /** 发放人2id */
    private Long ffr2Id;

    /** 领取人1名称 */
    private String lqr1Mc;

    /** 领取人2名称 */
    private String lqr2Mc;

    /** 发放人1名称 */
    private String ffr1Mc;

    /** 发放人2名称 */
    private String ffr2Mc;

    /** 发放日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ffrq;

    /** 发放备注 */
    private String ffbz;

    /** 目的ids */
    private String mdIds;

    /** 发放目的其他 */
    private String mdOther;

    /** 入库位置 */
    private String rkwz;

    /** 入库条件 */
    private String rktj;

    /** 归还转移条件 */
    private String ghzytj;

    /** 入库量 */
    private String rkl;

    /** 入库单位 */
    private String rkldw;

    /** 入库毛重 */
    private String rkmz;

    /** 入库毛重单位 */
    private String rkmzdw;

    /** 使用量 */
    private String syl;

    /** 使用量单位 */
    private String syldw;

    /** 归还人1id */
    private Long ghr1Id;

    /** 归还人2id */
    private Long ghr2Id;

    /** 接收人1id */
    private Long jsr1Id;

    /** 接收人2id */
    private Long jsr2Id;

    /** 归还人1名称 */
    private String ghr1Mc;

    /** 归还人2名称 */
    private String ghr2Mc;

    /** 接收人1名称 */
    private String jsr1Mc;

    /** 接收人2名称 */
    private String jsr2Mc;

    /** 归还日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ghrq;

    /** 归还备注 */
    private String ghbz;

    /** 归档申请人id */
    private Long gdsqrId;

    /** 归档申请人名称 */
    private String gdsqrMc;

    /** 暂存柜id */
    private Long zcgId;

    /** 借阅开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyksrq;

    /** 借阅结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyjsrq;

    public Integer getDazt() {
        return dazt;
    }

    public void setDazt(Integer dazt) {
        this.dazt = dazt;
    }

    public String getCkmz() {
        return ckmz;
    }

    public void setCkmz(String ckmz) {
        this.ckmz = ckmz;
    }

    public String getCkmzdw() {
        return ckmzdw;
    }

    public void setCkmzdw(String ckmzdw) {
        this.ckmzdw = ckmzdw;
    }


    public String getRkmz() {
        return rkmz;
    }

    public void setRkmz(String rkmz) {
        this.rkmz = rkmz;
    }

    public String getRkmzdw() {
        return rkmzdw;
    }

    public void setRkmzdw(String rkmzdw) {
        this.rkmzdw = rkmzdw;
    }

    public String getGdsqrMc() {
        return gdsqrMc;
    }

    public void setGdsqrMc(String gdsqrMc) {
        this.gdsqrMc = gdsqrMc;
    }

    public String getMdOther() {
        return mdOther;
    }

    public void setMdOther(String mdOther) {
        this.mdOther = mdOther;
    }

    public String getSyl() {
        return syl;
    }

    public void setSyl(String syl) {
        this.syl = syl;
    }

    public String getSyldw() {
        return syldw;
    }

    public void setSyldw(String syldw) {
        this.syldw = syldw;
    }

    public String getRkwz() {
        return rkwz;
    }

    public void setRkwz(String rkwz) {
        this.rkwz = rkwz;
    }

    public String getRktj() {
        return rktj;
    }

    public void setRktj(String rktj) {
        this.rktj = rktj;
    }

    public Date getJyksrq() {
        return jyksrq;
    }

    public void setJyksrq(Date jyksrq) {
        this.jyksrq = jyksrq;
    }

    public Date getJyjsrq() {
        return jyjsrq;
    }

    public void setJyjsrq(Date jyjsrq) {
        this.jyjsrq = jyjsrq;
    }

    public String getMdIds() {
        return mdIds;
    }

    public void setMdIds(String mdIds) {
        this.mdIds = mdIds;
    }


    public Long getZcgId() {
        return zcgId;
    }

    public void setZcgId(Long zcgId) {
        this.zcgId = zcgId;
    }

    public String getLqr1Mc() {
        return lqr1Mc;
    }

    public void setLqr1Mc(String lqr1Mc) {
        this.lqr1Mc = lqr1Mc;
    }

    public String getLqr2Mc() {
        return lqr2Mc;
    }

    public void setLqr2Mc(String lqr2Mc) {
        this.lqr2Mc = lqr2Mc;
    }

    public String getFfr1Mc() {
        return ffr1Mc;
    }

    public void setFfr1Mc(String ffr1Mc) {
        this.ffr1Mc = ffr1Mc;
    }

    public String getFfr2Mc() {
        return ffr2Mc;
    }

    public void setFfr2Mc(String ffr2Mc) {
        this.ffr2Mc = ffr2Mc;
    }

    public String getGhr1Mc() {
        return ghr1Mc;
    }

    public void setGhr1Mc(String ghr1Mc) {
        this.ghr1Mc = ghr1Mc;
    }

    public String getGhr2Mc() {
        return ghr2Mc;
    }

    public void setGhr2Mc(String ghr2Mc) {
        this.ghr2Mc = ghr2Mc;
    }

    public String getJsr1Mc() {
        return jsr1Mc;
    }

    public void setJsr1Mc(String jsr1Mc) {
        this.jsr1Mc = jsr1Mc;
    }

    public String getJsr2Mc() {
        return jsr2Mc;
    }

    public void setJsr2Mc(String jsr2Mc) {
        this.jsr2Mc = jsr2Mc;
    }

    public Long getFfr1Id() {
        return ffr1Id;
    }

    public void setFfr1Id(Long ffr1Id) {
        this.ffr1Id = ffr1Id;
    }

    public Long getFfr2Id() {
        return ffr2Id;
    }

    public void setFfr2Id(Long ffr2Id) {
        this.ffr2Id = ffr2Id;
    }

    public Long getJsr1Id() {
        return jsr1Id;
    }

    public void setJsr1Id(Long jsr1Id) {
        this.jsr1Id = jsr1Id;
    }

    public Long getJsr2Id() {
        return jsr2Id;
    }

    public void setJsr2Id(Long jsr2Id) {
        this.jsr2Id = jsr2Id;
    }

    public void setJlzt(Integer jlzt)
    {
        this.jlzt = jlzt;
    }

    public Integer getJlzt()
    {
        return jlzt;
    }

    public void setJyzt(Integer jyzt)
    {
        this.jyzt = jyzt;
    }

    public Integer getJyzt()
    {
        return jyzt;
    }

    public Long getGyzjId() {
        return gyzjId;
    }

    public void setGyzjId(Long gyzjId) {
        this.gyzjId = gyzjId;
    }

    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }

    public void setBh(String bh)
    {
        this.bh = bh;
    }

    public String getBh()
    {
        return bh;
    }

    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }

    public void setNddw(String nddw)
    {
        this.nddw = nddw;
    }

    public String getNddw()
    {
        return nddw;
    }

    public void setCctj(String cctj)
    {
        this.cctj = cctj;
    }

    public String getCctj()
    {
        return cctj;
    }

    public void setCcwz(String ccwz)
    {
        this.ccwz = ccwz;
    }

    public String getCcwz()
    {
        return ccwz;
    }

    public Date getSxrq() {
        return sxrq;
    }

    public void setSxrq(Date sxrq) {
        this.sxrq = sxrq;
    }


    public void setCkl(String ckl)
    {
        this.ckl = ckl;
    }

    public String getCkl()
    {
        return ckl;
    }

    public void setCkldw(String ckldw)
    {
        this.ckldw = ckldw;
    }

    public String getCkldw()
    {
        return ckldw;
    }

    public void setFfzytj(String ffzytj)
    {
        this.ffzytj = ffzytj;
    }

    public String getFfzytj()
    {
        return ffzytj;
    }

    public void setLqr1Id(Long lqr1Id)
    {
        this.lqr1Id = lqr1Id;
    }

    public Long getLqr1Id()
    {
        return lqr1Id;
    }

    public void setLqr2Id(Long lqr2Id)
    {
        this.lqr2Id = lqr2Id;
    }

    public Long getLqr2Id()
    {
        return lqr2Id;
    }



    public void setFfbz(String ffbz)
    {
        this.ffbz = ffbz;
    }

    public String getFfbz()
    {
        return ffbz;
    }

    public void setGhzytj(String ghzytj)
    {
        this.ghzytj = ghzytj;
    }

    public String getGhzytj()
    {
        return ghzytj;
    }

    public void setRkl(String rkl)
    {
        this.rkl = rkl;
    }

    public String getRkl()
    {
        return rkl;
    }

    public void setRkldw(String rkldw)
    {
        this.rkldw = rkldw;
    }

    public String getRkldw()
    {
        return rkldw;
    }

    public void setGhr1Id(Long ghr1Id)
    {
        this.ghr1Id = ghr1Id;
    }

    public Long getGhr1Id()
    {
        return ghr1Id;
    }

    public void setGhr2Id(Long ghr2Id)
    {
        this.ghr2Id = ghr2Id;
    }

    public Long getGhr2Id()
    {
        return ghr2Id;
    }

    public Date getFfrq() {
        return ffrq;
    }

    public void setFfrq(Date ffrq) {
        this.ffrq = ffrq;
    }

    public Date getGhrq() {
        return ghrq;
    }

    public void setGhrq(Date ghrq) {
        this.ghrq = ghrq;
    }

    public void setGhbz(String ghbz)
    {
        this.ghbz = ghbz;
    }

    public String getGhbz()
    {
        return ghbz;
    }

    public void setGdsqrId(Long gdsqrId)
    {
        this.gdsqrId = gdsqrId;
    }

    public Long getGdsqrId()
    {
        return gdsqrId;
    }

}